Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class NoSuchMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.NoSuchMethodException

All Implemented Interfaces:
  Serializable

    public class NoSuchMethodException

extends Exception

Thrown when a particular method cannot be found.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`NoSuchMethodException()` Constructs a `NoSuchMethodException` without a detail message.
`NoSuchMethodException(String s)` Constructs a `NoSuchMethodException` with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchMethodException

    public NoSuchMethodException()

  Constructs a `NoSuchMethodException` without a detail message.

### NoSuchMethodException

    public NoSuchMethodException(String s)

  Constructs a `NoSuchMethodException` with a detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.